summaryrefslogtreecommitdiff
path: root/dev-db
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2018-02-13 15:22:27 +0100
committerManuel Rüger <mrueg@gentoo.org>2018-02-13 15:22:27 +0100
commit467665526e631c3749c7429c086a23f0fd183c5a (patch)
tree9dc40af38657890ea7bf354196477b4163cfa307 /dev-db
parentapp-emulation/runc: Stable on amd64 (diff)
downloadgentoo-467665526e631c3749c7429c086a23f0fd183c5a.tar.gz
gentoo-467665526e631c3749c7429c086a23f0fd183c5a.tar.bz2
gentoo-467665526e631c3749c7429c086a23f0fd183c5a.zip
dev-db/etcd: Version bump to 3.3.1
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-db')
-rw-r--r--dev-db/etcd/Manifest1
-rw-r--r--dev-db/etcd/etcd-3.3.1.ebuild64
2 files changed, 65 insertions, 0 deletions
diff --git a/dev-db/etcd/Manifest b/dev-db/etcd/Manifest
index d07651238f0..ac1b252bd88 100644
--- a/dev-db/etcd/Manifest
+++ b/dev-db/etcd/Manifest
@@ -2,3 +2,4 @@ DIST etcd-2.3.8.tar.gz 2206562 BLAKE2B 754930b4b5f0e90386b2b4765a9dbb6790ae509a8
DIST etcd-3.2.14.tar.gz 3047100 BLAKE2B 5b956042542e7daeec3985f0dbd02b2766ca27287b55b0e1fd67c4296103ca9bf05b2ccc0e93640949c85e8099503b5a22d36c2f03d9904762ae1bbb59d35ac4 SHA512 f48cdb368906b36e7ce80c60933b0e9bc4415104c31f2da9346940f040febf27dbd9109e7f659a281c7038cadfb02b0dad614685a15ff46c87c600471c5de432
DIST etcd-3.2.15.tar.gz 3047626 BLAKE2B 81f312fd5df6b64bf9e13994500387ab11ce145e296538492ccc71b94659f93e84e191cd2347d53d6d20e070cb1eb2760d4abd467655af53eaeb3c40cff7b500 SHA512 3ae11dfe918d409893e3168fbf31da0e910ce498a13f6bb31c3dd3a2027d72550f086d55b702803f2783de815dd349537bd581334146f8c4d05b9b3f4d3d56fb
DIST etcd-3.3.0.tar.gz 3360558 BLAKE2B f6a535a55ba862857db9c055deb33846124b92badde6cbc8c2301a989c7dbe4f1d9aa2ec08b7a99c11e0e7ec87cd59cd08cf57e5ae97eeadfd4f5d3cb166992c SHA512 3044e06492f8cc7dd717406cf47fcff8f91f79cb05648464625d5d78f7b79c7d53f315485b830c046a7dadee34a9b39ac2ed11dfeb5d1b59509fce2da2253197
+DIST etcd-3.3.1.tar.gz 3381899 BLAKE2B 6ef667c635731f877557e7e8cf1d94514f788f5c485a230fe808242d2910d3551082a9fc62da1b35ce1b2dfba846c47109e5b9ef0d351860600c5e7947d0d11e SHA512 14af3bd4de63570da8bc27fa931982294c7037edf98a9512abc0e396baddbd05fff7525d17013bc1782a622e4850e216368e7c620863a22aec0739d7ffdb5bd6
diff --git a/dev-db/etcd/etcd-3.3.1.ebuild b/dev-db/etcd/etcd-3.3.1.ebuild
new file mode 100644
index 00000000000..b1406dc1a18
--- /dev/null
+++ b/dev-db/etcd/etcd-3.3.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit user systemd golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+EGO_PN="github.com/coreos/etcd"
+MY_PV="${PV/_rc/-rc.}"
+DESCRIPTION="Highly-available key value store for shared configuration and service discovery"
+HOMEPAGE="https://github.com/coreos/etcd"
+SRC_URI="https://${EGO_PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="doc"
+DEPEND=">=dev-lang/go-1.9:="
+RDEPEND="!dev-db/etcdctl"
+
+src_prepare() {
+ default
+ sed -e 's|GIT_SHA=.*|GIT_SHA=v${PV}|'\
+ -i "${S}"/src/${EGO_PN}/build || die
+}
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
+}
+
+src_compile() {
+ export GOPATH=${S}
+ pushd src/${EGO_PN} || die
+ ./build || die
+ popd || die
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ insinto /etc/${PN}
+ doins "${FILESDIR}/${PN}.conf"
+ dobin bin/*
+ dodoc README.md
+ use doc && dodoc -r Documentation
+ systemd_dounit "${FILESDIR}/${PN}.service"
+ systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles.d.conf" ${PN}.conf
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+ keepdir /var/lib/${PN}
+ fowners ${PN}:${PN} /var/lib/${PN}
+ fperms 0700 /var/lib/${PN}
+ keepdir /var/log/${PN}
+ fowners ${PN}:${PN} /var/log/${PN}
+ fperms 755 /var/log/${PN}
+ popd || die
+}
+
+src_test() {
+ pushd src/${EGO_PN} || die
+ ./test || die
+ popd || die
+}